Subject: bug#72166: Shepherd periodically goes unresponsive on one of my machines

From: "Jonathan Frederickson" <[email-masked]>
Date: Sun, 18 Aug 2024 18:54:38 -0400

On Fri, Aug 16, 2024, at 12:12 PM, Ludovic Courtès wrote:
> Could you share (maybe privately) the relevant excerpt of
> /var/log/messages?
> 
> Could you also share (ideally) a minimum Guix System config and a
> sequence of commands to reproduce it?
> 
> Are you able to reproduce it in ‘guix system vm’?

I'll send some logs to you privately; I don't actually see any logs that look relevant in /var/log/messages but maybe you'll spot something I haven't.

I'll try to come up with a reproduction and a minimal system config to reproduce the issue, though I will say that I haven't yet tracked down the exact situation that triggers it.

(Perhaps notably, both this machine running Guix System and another machine running Guix Home on a foreign distro where I've experienced the same issue are running Sway, and I think swaylock may be related somehow.)

I'll also try reproducing it with 'guix system vm' if I can, though that may be challenging as this machine only has 4 GB of RAM.